HepMC3 event record library: Pythia6ToHepMC3.cc File Reference

HepMC3 event record library

Macros | Functions | Variables
Pythia6ToHepMC3.cc File Reference

## Detailed Description

A simple C-like interface to HepMC3 aimed to be used with Pythia6.

Definition in file Pythia6ToHepMC3.cc.

`#include "HepMC3/HEPEVT_Wrapper_Template.h"`
`#include "HepMC3/GenEvent.h"`
`#include "HepMC3/Writer.h"`
`#include "HepMC3/WriterHEPEVT.h"`
`#include "HepMC3/WriterAscii.h"`
`#include "HepMC3/WriterAsciiHepMC2.h"`
`#include "HepMC3/WriterPlugin.h"`
`#include "HepMC3/Print.h"`
`#include "HepMC3/Attribute.h"`
`#include "HepMC3/GenRunInfo.h"`
Include dependency graph for Pythia6ToHepMC3.cc:

Go to the source code of this file.

## Macros
#define | PYTHIA6_PYTHIA6TOHEPMC3_CC
#define | PYTHIA6HEPEVTSIZE 10000

## Functions
GenEvent * | hepmc3_gWriters_get_event (const int &position)
int | hepmc3_delete_writer_ (const int &position)
int | hepmc3_convert_event_ (const int &position)
int | hepmc3_write_event_ (const int &position)
int | hepmc3_clear_event_ (const int &position)
int | hepmc3_set_cross_section_ (const int &position, const double &x, const double &xe, const int &n1, const int &n2)
int | hepmc3_set_pdf_info_ (const int &position, const int &parton_id1, const int &parton_id2, const double &x1, const double &x2, const double &scale_in, const double &xf1, const double &xf2, const int &pdf_id1, const int &pdf_id2)
int | hepmc3_set_hepevt_address_ (int *a)
int | hepmc3_set_attribute_int_ (const int &position, const int &attval, const char *attname, size_t)
int | hepmc3_set_attribute_double_ (const int &position, const double &attval, const char *attname, size_t)
int | hepmc3_new_writer_ (const int &position, const int &mode, const char *ffilename, size_t)
int | hepmc3_new_weight_ (const int &position, const char *name, size_t)
int | hepmc3_set_weight_by_index_ (const int &position, const double &val, const int &index)
int | hepmc3_set_weight_by_name_ (const int &position, const double &val, const char *name, size_t)

## Variables
HEPEVT_Wrapper_Template< PYTHIA6HEPEVTSIZE > | hepmc3_gInterface
std::map< int, std::pair< std::shared_ptr< Writer >, GenEvent * > > | hepmc3_gWriters
std::map< int, std::shared_ptr< GenRunInfo > > | hepmc3_gGenRunInfos

## Macro Definition Documentation

## ◆ PYTHIA6_PYTHIA6TOHEPMC3_CC

#define PYTHIA6_PYTHIA6TOHEPMC3_CC

Definition at line 12 of file Pythia6ToHepMC3.cc.

## ◆ PYTHIA6HEPEVTSIZE

#define PYTHIA6HEPEVTSIZE 10000

Definition at line 103 of file Pythia6ToHepMC3.cc.

## Function Documentation

## ◆ hepmc3_clear_event_()

int hepmc3_clear_event_ | ( | const int & | position | ) |

Definition at line 166 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_convert_event_()

int hepmc3_convert_event_ | ( | const int & | position | ) |

Definition at line 134 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_delete_writer_()

int hepmc3_delete_writer_ | ( | const int & | position | ) |

Interfaces for C/Fortran

Definition at line 123 of file Pythia6ToHepMC3.cc.

References hepmc3_gWriters.

## ◆ hepmc3_gWriters_get_event()

GenEvent * hepmc3_gWriters_get_event | ( | const int & | position | ) |

Interface to acces the enets from C++, e.g. Rivet

Definition at line 112 of file Pythia6ToHepMC3.cc.

References hepmc3_gWriters.

## ◆ hepmc3_new_weight_()

int hepmc3_new_weight_ | ( | const int & | position,
|  | const char * | name,
|  | size_t | )

Definition at line 277 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_new_writer_()

int hepmc3_new_writer_ | ( | const int & | position,
|  | const int & | mode,
|  | const char * | ffilename,
|  | size_t | )

Definition at line 225 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_attribute_double_()

int hepmc3_set_attribute_double_ | ( | const int & | position,
|  | const double & | attval,
|  | const char * | attname,
|  | size_t | )

Definition at line 215 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_attribute_int_()

int hepmc3_set_attribute_int_ | ( | const int & | position,
|  | const int & | attval,
|  | const char * | attname,
|  | size_t | )

Definition at line 206 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_cross_section_()

int hepmc3_set_cross_section_ | ( | const int & | position,
|  | const double & | x,
|  | const double & | xe,
|  | const int & | n1,
|  | const int & | n2 )

Definition at line 175 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_hepevt_address_()

int hepmc3_set_hepevt_address_ | ( | int * | a | ) |

Definition at line 200 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_pdf_info_()

int hepmc3_set_pdf_info_ | ( | const int & | position,
|  | const int & | parton_id1,
|  | const int & | parton_id2,
|  | const double & | x1,
|  | const double & | x2,
|  | const double & | scale_in,
|  | const double & | xf1,
|  | const double & | xf2,
|  | const int & | pdf_id1,
|  | const int & | pdf_id2 )

Definition at line 187 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_weight_by_index_()

int hepmc3_set_weight_by_index_ | ( | const int & | position,
|  | const double & | val,
|  | const int & | index )

Definition at line 290 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_set_weight_by_name_()

int hepmc3_set_weight_by_name_ | ( | const int & | position,
|  | const double & | val,
|  | const char * | name,
|  | size_t | )

Definition at line 303 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_write_event_()

int hepmc3_write_event_ | ( | const int & | position | ) |

Definition at line 157 of file Pythia6ToHepMC3.cc.

## Variable Documentation

## ◆ hepmc3_gGenRunInfos

std::map<int, std::shared_ptr<GenRunInfo> > hepmc3_gGenRunInfos

Storage for the GenRunInfo objects associated with the outputs

Definition at line 110 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_gInterface

HEPEVT_Wrapper_Template<PYTHIA6HEPEVTSIZE> hepmc3_gInterface

The conversion interface, templated version

Definition at line 106 of file Pythia6ToHepMC3.cc.

## ◆ hepmc3_gWriters

std::map<int, std::pair<std::shared_ptr<Writer>, GenEvent*> > hepmc3_gWriters

Storage for the output objects (Writers)

Definition at line 108 of file Pythia6ToHepMC3.cc.